[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[tor-commits] [tor/master] scripts: Make checkShellScripts.sh error exit if it can't find src



commit af12b6fd294c3019b8109d9607cd24740a0d3a99
Author: teor <teor@xxxxxxxxxxxxxx>
Date:   Tue Sep 10 12:24:08 2019 +1000

    scripts: Make checkShellScripts.sh error exit if it can't find src
    
    Closes 31679.
---
 scripts/maint/checkShellScripts.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/scripts/maint/checkShellScripts.sh b/scripts/maint/checkShellScripts.sh
index 18a83d1fb..318f0fb57 100755
--- a/scripts/maint/checkShellScripts.sh
+++ b/scripts/maint/checkShellScripts.sh
@@ -31,6 +31,7 @@ TOPLEVEL=$(dirname "$(dirname "$HERE")")
 if [ ! -d "$TOPLEVEL/src" ]; then
     printf "Error: Couldn't find src directory in expected location: %s\\n" \
         "$TOPLEVEL/src"
+    exit 1
 fi
 
 # Check *.sh scripts, but ignore the ones that we can't fix



_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits